Index: /main/trunk/greenstone2/macros/croatian2.dm
===================================================================
--- /main/trunk/greenstone2/macros/croatian2.dm	(revision 34538)
+++ /main/trunk/greenstone2/macros/croatian2.dm	(revision 34538)
@@ -0,0 +1,175 @@
+# this file must be UTF-8 encoded
+######################################################################
+#
+# Language text and icon macros 
+# -- this file contains text that is of less importance
+######################################################################
+
+######################################################################
+# 'home' page
+package home
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# home help page
+package homehelp
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# external link package
+package extlink
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# should have arguments of collection, collectionname and link
+
+######################################################################
+# authentication page
+package authen
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# collectoraction
+package wizard
+
+######################################################################
+# collectoraction
+package collector
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# depositoraction
+package depositor
+######################################################################
+
+######################################################################
+# 'gsdl' page
+package gsdl
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'users' page
+package userslistusers
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'users' page
+package usersedituser
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'users' page
+package usersdeleteuser
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'users' page
+package userschangepasswd
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'users' page
+package userschangepasswdok
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'users' page
+package users
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'status' pages
+package status
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+######################################################################
+# 'bsummary' pages
+package bsummary
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+############################################################################
+#
+# This stuff is only used by the usability (SEND FEEDBACK) stuff
+#
+############################################################################
+package Global
+
+# old cusab button
+
+_cannotfindcgierror_ [l=hr] {<h2> Oprostite! </h2> Ne moÅŸemo pronaÄi posluÅŸiteljske programe za gumb "_linktextusab_".}
+
+######################################################################
+# GTI text strings
+package gti
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+#for status page
+
+#for greenstone manuals
+
+#for status page
+
+############
+# gli page
+############
+package gli
+