Index: /main/trunk/gli/classes/dictionary_de.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_de.properties	(revision 34540)
+++ /main/trunk/gli/classes/dictionary_de.properties	(revision 34540)
@@ -0,0 +1,273 @@
+#*******************
+#** Language Orientation Property
+
+#*******************
+#
+#***** AboutDialog *****
+AboutDialog.Acknowledgement:Danksagung fÃŒr proprietÃ€re Programme, Pakete oder Gruppen...
+AboutDialog.Date:(November 2009)
+AboutDialog.Item0:'Xerces Java 1' von The Apache Software Foundation (http://www.apache.org/)
+AboutDialog.Item2:'WGet' von Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
+AboutDialog.Item3:'qfslib' von Quality First Software GmbH. (http://www.qfs.de/en/qflib/index.html)
+AboutDialog.Item4:'ExtensionFileFilter.class' von Bruno Dumon und Mitwirkenden (http://pollo.sourceforge.net/)
+AboutDialog.Item5:'Wie man die Umbenennung von Dateien in der Dateiauswahl deaktiviert' - vladi21 (http://www.experts-exchange.com/)
+AboutDialog.Item6:'Autoscrolling' - Java Swing von Robert Eckstein, Marc Loy & Dave Wood (http://www.oreilly.com/catalog/jswing/chapter/dnd.beta.pdf)
+AboutDialog.Item7:'Phantombilder zu JTrees hinzufÃŒgen' - Von Andrew J. Armstrong (http://www.javaworld.com/javaworld/javatips/jw-javatip114.html)
+AboutDialog.Item8:'Nervige java.prefs Fehler unterbinden wenn man keinen Superuser-Zugang hat' - Mit Dank an Walter Schatz
+AboutDialog.Item9:'Neuer Ordner'-, 'lÃ¶schen'- und 'Hilfe'-Symbole vom Dropline Neu!-Symbolset von Silvestre Herrera, erhÃ€ltlich auf http://art.gnome.org/
+AboutDialog.Java_Req:Java ist ein Markenzeichen von Sun Microsystems Inc. Das JRE ist neu verbreitet unter den Erweitertem Lizenzbedingungen (Supplemental License Terms), zu finden auf http://java.sun.com/j2se/1.4.1/j2re-1_4_1_02-license.html
+AboutDialog.Java_Req_One:Dieses Produkt enthÃ€lt von der RSA Security, Inc lizensierten Code.
+AboutDialog.Java_Req_Two:Einige durch IBM lizensierte Teile sind erhÃ€ltlich auf http\://oss.software.ibm.com/icu4j/
+AboutDialog.Thanks:Desweiteren Dank an alle, die hilfreiche Informationen zu Java im Internet gepostet haben...
+AboutDialog.Title:Ãber...
+AboutDialog.Title_One:Greenstone OberflÃ€che fÃŒr Bibliothekare
+AboutDialog.Title_Two:Greenstone Digital Library, UniversitÃ€t von Waikato
+AboutDialog.Copyright:Copyright (C) 2003-2009 New Zealand Digital Library Project
+AboutDialog.Copyright_Two:VerÃ¶ffentlichung unter der GPL. Siehe LIZENZ.exe fÃŒr mehr Informationen.
+#***********************
+#
+#***** Audit Table *****
+AuditTable.File:Dateiname
+#***********************
+#
+#***** Auto Filter *****
+Autofilter.AND:UND
+Autofilter.Ascending:Aufsteigend
+Autofilter.Case_Sensitive:GroÃ-/Kleinschreibung beachten
+Autofilter.Custom_Filter:Erweitert
+Autofilter.Descending:Absteigend
+Autofilter.Filter_By_Value:Einfach
+Autofilter.Name:Spaltenname
+Autofilter.None:Keine
+Autofilter.Operator:Bedingung
+Autofilter.OR:ODER
+Autofilter.Order:Ordnen
+Autofilter.Order_Tooltip:Die Treffer in dieser Reihenfolge sortieren
+Autofilter.Remove:Filter entfernen
+Autofilter.Remove_Tooltip:Diesen Filter von der Tabellenspalte entfernen
+Autofilter.Set:Filter festlegen
+Autofilter.Set_Tooltip:Diesen Filter zur Tabellenspalte hinzufÃŒgen
+Autofilter.Table_Header_Tooltip:Filter nach {0}
+Autofilter.Title:Autofilter Metadaten
+Autofilter.eqeq:gleich
+Autofilter.!eq:ist nicht gleich
+Autofilter.<:ist weniger als
+Autofilter.<eq:ist weniger als oder gleich
+Autofilter.>:ist grÃ¶Ãer als
+Autofilter.>eq:ist grÃ¶Ãer als oder gleich
+Autofilter.^:beginnt mit
+Autofilter.!^:beginnt nicht mit
+Autofilter.$:endet mit
+Autofilter.!$:endet nicht mit
+Autofilter.?:enthÃ€lt
+Autofilter.!?:enthÃ€lt nicht
+#
+#     ********************************************************
+#     *************** Collection Design Module ***************
+#     ********************************************************
+#     * The dictionary  phrases  used in the creation of the *
+#     * Colection  Design  Module. Note that we  still  have *
+#     * access  to the format  arguments (argument  32+) for *
+#     * html formatting.                                     *
+#     ********************************************************
+CDM.ArgumentConfiguration.Bad_Integer:<html>Das Argument '{0}' verlangt einen ganzzahligen Wert,<br> aber keine Ganzzahl kann von {1} geparst werden.</html>
+CDM.ArgumentConfiguration.Error_Title:Fehler in Argumente
+CDM.ArgumentConfiguration.Header:<HTML><STRONG><FONT FACE={FONT} COLOR=Black SIZE=5><CENTER>Bitte konfigurieren Sie die Argumente fÃŒr {0}.</CENTER></FONT></STRONG></HTML>
+CDM.ArgumentConfiguration.No_Value:Das Argument '{0}' verlangt einen Wert, aber kein Wert ist angegeben.
+CDM.ArgumentConfiguration.Required_Argument:Das Argument '{0}' muss einen Wert haben.
+CDM.ArgumentConfiguration.Title:Argumente konfigurieren
+CDM.BuildTypeManager.Title:Indexer auswÃ€hlen
+CDM.BuildTypeManager.mg:MG
+CDM.BuildTypeManager.mg_Description:Dies ist der originale Indexer, der von Greenstone verwendet wird. Er wurde hauptsÃ€chlich von Alistair Moffat entwickelt und ist beschrieben im Standardwerk Managing Gigabytes. Er operiert auf dem Sektionslevel und Suchen sind entweder boolean oder ranked (nicht beides zugleich). FÃŒr jeden spezifizierten Index in der Sammlung wird eine separate Indexdatei erstellt. FÃŒr die Phrasensuche verwendet Greenstone eine "AND" Suche zu allen Begriffen und durchsucht dann die Resultate  nach der Phrase. Er wurde ausfÃŒhrlich mit sehr groÃen Sammlungen getestet (viele GB an Text).
+CDM.BuildTypeManager.mgpp:MGPP
+CDM.BuildTypeManager.lucene:Lucene
+CDM.BuildTypeManager.lucene_Description:Lucene wurde von der Apache Software Foundation entwickelt. Es benutzt Feld- und Umkreissuche, jedoch nur auf einem Level (z.B. ganze Dokumente oder individuelle Abschnitte, aber nicht beides). Daher benÃ¶tigen Dokument- und Abschnittsindexe einer Sammlung zwei separate Indexdateien. Es bietet eine Ã€hnliche Breite an Suchfunktionen wie MGPP mit zusÃ€tzlich Wildcards fÃŒr Einzelzeichen, Bereichssuche und dem Sortieren von Suchresultaten nach Metadaten-Feldern. Es wurde zu Greenstone hinzugefÃŒgt, um den zunehmenden Sammlungsaufbau zu ermÃ¶glichen, den MG und MGPP nicht leisten kÃ¶nnen.
+CDM.BuildTypeManager.Current_Type:Benutzte Indexer: {0}
+CDM.BuildTypeManager.Change:Ãndern...
+CDM.BuildTypeManager.Change_Tooltip:Den Indexer dieser Sammlung Ã€ndern
+CDM.FormatManager.Default:Reset to Default
+CDM.FormatManager.Default_Tooltip:Reset the selected format command to its default value 
+CDM.FormatManager.Default:Reset to Default
+CDM.FormatManager.Default_Tooltip:Reset the selected format command to its default value
+#*******************
+#
+#***** Collection *****
+#**********************
+#
+#***** CollectionBuilt *****
+#***************************
+#
+#******ScheduldBuilt******
+#***************************
+#
+#***** CollectionManager *****
+#*****************************
+#
+#***** CollectionPopupMenu *****
+#*******************************
+#
+#***** CreatePane *****
+#**********************
+#
+#***** Dates *****
+#**********************
+#
+#***** Delete Collection Prompt *****
+#**********************
+#
+#***** DirectoryLevelMetadata *****
+
+#*******************
+#
+#***** Download *****
+
+#********************
+#
+#***** EnrichPane *****
+#***********************
+#
+#****** ExplodeMetadataPrompt *******
+#***********************
+#
+#****** ReplaceSrcWithHTMLPrompt *******
+#***********************
+#
+#****** WriteCDImagePrompt *******
+#************************
+#
+#****** ExportAsPrompt *******
+#
+#***** Export/Convert Metadata to CSV *****
+#
+#***** Inherited Metadata *****
+#
+#***** FileActions *****
+
+#************************
+#
+#******* File Associations dialog **********
+#*******************
+#
+#******Filter***************
+#***********************
+#
+#***** GAuthenticator *****
+#**************************
+#
+#***** General Messages *****
+# 0 - A String representing the name and method of the class in question.
+#****************************
+#
+#***** GShell *****
+#*********************
+#
+#***** GUI *****
+# Currently Enabled and Disabled display the same text but in different
+# colours. If necessary this can be changed.
+
+#***************
+#
+#***** HELP *****
+#****************************
+#
+#***** Invalid Metadata ******
+#***************************
+#
+#***** LegacyCollection
+#***************************
+#
+#***** LockFileDialog *****
+#********************
+#
+#*****MappingPrompt **********
+#*******************
+#
+#***** Menu Options *****
+#********************
+#
+#***** MetaAudit *****
+#*********************
+#
+#***** Metadata *****
+#**********************************
+#
+#***** MetadataSetDialog**********
+
+#****************************************
+#
+#***** MetadataSetNamespaceClash warning***
+#*********************************************
+#
+#******** MetadataImportMappingPrompt *********
+#*****************************
+#
+#***** Mirroring *****
+#*********************
+#
+#***** Missing EXEC *****
+#***** Missing EXEC_GS3 *****
+#***** Missing GLIServer *****
+#***** Missing GSDL *****
+#***** Missing PERL *****
+#******* MissingImageMagick ********
+#******* MissingPDFBox ********
+#******** Multiple filename encodings not supported *******
+#******** Non-standard collect home *******
+#*****************************
+#
+#***** New Session *****
+#***** New Folder OrFilePrompt *****
+#**********************
+#
+#******* OldWGET *******
+#***********************
+#
+#***** OpenCollectionDialog *****
+#**********************
+#
+#***** FormatConversionDialog *****
+
+#***** ConfigFileEditor *****
+
+#**********************
+#
+#***** Options Pane inside CreatePane *****
+#*******************
+#
+#***** Preferences *****
+#**********************
+#
+#**** PreviewCommandDialog *******
+
+#**********************
+#
+#***** Remote Greenstone Server *****
+#**********************
+#
+#***** Rename Prompt *****
+#**********************
+#
+#***** Replace Prompt *****
+#**********************
+#
+#***** Save Collection Box *****
+#**********************
+#
+#***** Save Progress Box *******
+#*******************************
+#
+#
+#***** Sources *****
+#**********************
+#
+#***** Trees *****
+#***********************
+#
+#***** Warning Dialog *****
+#
+#****** WGet *****
+#
+#****** Workflows *****
+
+#********GEMS******
+