Index: /main/trunk/gli/classes/dictionary_ar.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_ar.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_ar.properties	(revision 34556)
@@ -2500,5 +2500,5 @@
  ØšØªÙØ²ÙÙ Ø§Ù
 ØªØ¯Ø§Ø¯ PDFBox Ù
-Ù  \nhttp://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1}\nØªØ«ØšÙØªÙ ØšØªÙÙÙÙÙ ÙÙ Ù
+Ù  \nhttps://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1}\nØªØ«ØšÙØªÙ ØšØªÙÙÙÙÙ ÙÙ Ù
 Ø¬ÙØ¯ {2} . Ø«Ù
  Ø§Ø¹Ø¯Ø§Ø¯ Ù
Index: /main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_es.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_es.properties	(revision 34556)
@@ -907,5 +907,5 @@
 MissingImageMagick.Title:Falta ImageMagick
 #******* MissingPDFBox ********
-MissingPDFBox.Message:Para procesar documentos PDF con version 1.5 y superior, descargue la extensiÃ³n PDFBox desde \nhttp://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1}\nInstÃ¡lela descomprimiendo el archivo en su carpeta {2}. Luego configure el PDFPlugin con la opciÃ³n pdfbox_conversion habilitada.
+MissingPDFBox.Message:Para procesar documentos PDF con version 1.5 y superior, descargue la extensiÃ³n PDFBox desde \nhttps://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1}\nInstÃ¡lela descomprimiendo el archivo en su carpeta {2}. Luego configure el PDFPlugin con la opciÃ³n pdfbox_conversion habilitada.
 MissingPDFBox.Title:ExtensiÃ³n PDFBox no encontrada.
 #******** Multiple filename encodings not supported *******
Index: /main/trunk/gli/classes/dictionary_fr.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_fr.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_fr.properties	(revision 34556)
@@ -896,5 +896,5 @@
 MissingImageMagick.Title:ImageMagick est manquant
 #******* MissingPDFBox ********
-MissingPDFBox.Message:Pour traiter des documents en PDF version 1.5 et suivantes, tÃ©lÃ©charger lâextension PDFBox Ã  partir de http://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1} Lâinstaller en le dÃ©compressant (dÃ©zippant) dans votre {2} rÃ©pertoire. Ensuite configurer votre Plugin PDF (PDFPlugin) avec pdfbox_conversion activÃ©
+MissingPDFBox.Message:Pour traiter des documents en PDF version 1.5 et suivantes, tÃ©lÃ©charger lâextension PDFBox Ã  partir de https://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1} Lâinstaller en le dÃ©compressant (dÃ©zippant) dans votre {2} rÃ©pertoire. Ensuite configurer votre Plugin PDF (PDFPlugin) avec pdfbox_conversion activÃ©
 MissingPDFBox.Title:Extension PDFBox manquant
 #******** Multiple filename encodings not supported *******
Index: /main/trunk/gli/classes/dictionary_gu.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_gu.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_gu.properties	(revision 34556)
@@ -1083,5 +1083,5 @@
 #******* MissingPDFBox ********
 MissingPDFBox.Message:PDFàª¡à«àªà«àª¯à«àª®à«àªšà«àªà«àªž àªµàª°à«àªàªš 1.5 àª
-àªšà« àª€à«àªšà« àªàªªàª°àªšàªŸ àªµàª°à«àªàªšàªšà« àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àª®àªŸàªà« \nhttp://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-javaàªªàª°àª¥à« PDFBox àªàªà«àªžàªà«àªàª¶àªš àª¡àªŸàªàªšàª²à«àª¡ àªàª°à«. {1}\nàª
+àªšà« àª€à«àªšà« àªàªªàª°àªšàªŸ àªµàª°à«àªàªšàªšà« àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àª®àªŸàªà« \nhttps://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-javaàªªàª°àª¥à« PDFBox àªàªà«àªžàªà«àªàª¶àªš àª¡àªŸàªàªšàª²à«àª¡ àªàª°à«. {1}\nàª
 àªšàªà«àªª àªàª°à«àªšà« àª€à«àªšà« àª€àª®àªŸàª°àªŸ {2} àª«à«àª²à«àª¡àª°àª®àªŸàª àªàªšà«àªžà«àªà«àª² àªàª°à«. àªªàªà« pdfbox_conversionàªšà« àªàªŸàª°à«àª¯àª°àª€ àªàª°à« àª€àª®àªŸàª°à«àª PDFPlugin àªàªšà«àª«àª¿àªà«àª¯à«àª° àªàª°à«.
 MissingPDFBox.Title:PDFBox àªàªà«àªžàªà«àªàª¶àªš àª®àª³àª€à«àª àªšàª¥à«
Index: /main/trunk/gli/classes/dictionary_hy.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_hy.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_hy.properties	(revision 34556)
@@ -937,5 +937,5 @@
 MissingImageMagick.Title:Ô²Õ¡ÖÕ¡Õ¯Õ¡ÕµÕžÖÕŽ Õ§ ImageMagick
 #******* MissingPDFBox ********
-MissingPDFBox.Message:1.5 Ö Õ€ÖÕ¡Õ¶Õ«Ö Õ¢Õ¡ÖÕ±Ö PDF ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥ÖÕ« Õ¯Õ¡Õ¿Õ¡ÖÕŽÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡Ö Õ¢Õ¥ÕŒÕ¶Õ¡Õ©Õ¡ÖÕ«Ö PDFBox ÕšÕ¶Õ€Õ¬Õ¡ÕµÕ¶ÕžÖÕŽÕš Õ¡ÕµÕœÕ¿Õ¥Õ²Õ«Ö \nhttp://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1}\nÕÕ¥Õ²Õ¡Õ€ÖÕ« Õ¡ÕµÕ¶ Õ¢Õ¡ÖÕ¥Õ¬ ÖÕž {2} Õ©Õ²Õ©Õ¡ÕºÕ¡Õ¶Õ¡Õ¯ÕžÖÕŽÖ Ô±ÕºÕ¡ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕ« ÖÕž PDFPlugin ÕŽÕ«Õ¡ÖÕ¶Õ¥Õ¬ÕžÕŸ pdfbox_conversion.
+MissingPDFBox.Message:1.5 Ö Õ€ÖÕ¡Õ¶Õ«Ö Õ¢Õ¡ÖÕ±Ö PDF ÖÕ¡ÕœÕ¿Õ¡Õ©Õ²Õ©Õ¥ÖÕ« Õ¯Õ¡Õ¿Õ¡ÖÕŽÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡Ö Õ¢Õ¥ÕŒÕ¶Õ¡Õ©Õ¡ÖÕ«Ö PDFBox ÕšÕ¶Õ€Õ¬Õ¡ÕµÕ¶ÕžÖÕŽÕš Õ¡ÕµÕœÕ¿Õ¥Õ²Õ«Ö \nhttps://svn.greenstone.org/{0}gs2-extensions/pdf-box/trunk/pdf-box-java.{1}\nÕÕ¥Õ²Õ¡Õ€ÖÕ« Õ¡ÕµÕ¶ Õ¢Õ¡ÖÕ¥Õ¬ ÖÕž {2} Õ©Õ²Õ©Õ¡ÕºÕ¡Õ¶Õ¡Õ¯ÕžÖÕŽÖ Ô±ÕºÕ¡ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕ« ÖÕž PDFPlugin ÕŽÕ«Õ¡ÖÕ¶Õ¥Õ¬ÕžÕŸ pdfbox_conversion.
 MissingPDFBox.Title:ÕÕ¡Õ¯Õ¡ÕœÕžÕ² PDFBox ÕšÕ¶Õ€Õ¬Õ¡ÕµÕ¶ÕžÖÕŽÖ
 #******** Multiple filename encodings not supported *******
Index: /main/trunk/gli/classes/dictionary_ka.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_ka.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_ka.properties	(revision 34556)
@@ -899,5 +899,5 @@
 MissingImageMagick.Title:ááááá áá£ááá ImageMagick
 #******* MissingPDFBox ********
-MissingPDFBox.Message:PDF 1.5 ááá á¡ááá¡ áááá£áááá¢áááá¡ áááá£ášáááááá¡ááááá¡ áá ááááá, á©áá¢ááá ááá PDFBox-áá¡ ááá€áá ááááá \ nhttp: //svn.greenstone.org/ {0} gs2-extensions / pdf-box / trunk / pdf-box-java. {1} \ n áááááá¡á¢áááá áá áá¥áááá¡ {2} á¡áá¥ááŠááááášá ááááááááá. ášááááá ááááááá€ááá£á áá áá PDF ááááááá á©áá áá£áá pdfbox_conversion-áá.
+MissingPDFBox.Message:PDF 1.5 ááá á¡ááá¡ áááá£áááá¢áááá¡ áááá£ášáááááá¡ááááá¡ áá ááááá, á©áá¢ááá ááá PDFBox-áá¡ ááá€áá ááááá \ nhttps://svn.greenstone.org/ {0} gs2-extensions / pdf-box / trunk / pdf-box-java. {1} \ n áááááá¡á¢áááá áá áá¥áááá¡ {2} á¡áá¥ááŠááááášá ááááááááá. ášááááá ááááááá€ááá£á áá áá PDF ááááááá á©áá áá£áá pdfbox_conversion-áá.
 MissingPDFBox.Title:ááááá áá£ááá PDFBox ááá€áá ááááá
 #******** Multiple filename encodings not supported *******
Index: /main/trunk/gli/classes/dictionary_kk.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_kk.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_kk.properties	(revision 34556)
@@ -933,5 +933,5 @@
 MissingImageMagick.Title:ImageMagick Ð¶ÐŸÒ
 #******* MissingPDFBox ********
-MissingPDFBox.Message:PDF-ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑÒ£ 1.5  Ð¶ÓÐœÐµ ÐŸÐŽÐ°Ðœ ÐŽÐ° Ð±Ð°ÑÒÐ°ÐœÒ±ÑÒÐ°Ð»Ð°ÑÑÐœ Ó©Ò£ÐŽÐµÑ Ò¯ÑÑÐœ, Ð±ÐµÑÑÐ»Ð³ÐµÐœ ÐºÓ©Ð·ÐŽÐµÑÐŽÐµÐœ PDFBox ÐºÐµÒ£ÐµÐ¹ÑÑÐ»Ð³ÐµÐœ ÑÒ¯ÑÑÐœ Ð¶Ò¯ÐºÑÐµÒ£ÑÐ· \ nhttp :/ / svn.greenstone.org / {0} gs2-extensions/pdf-box/trunk/pdf-box-java. {1} \ nInstall Ó©Ð·ÑÐœÑÒ£ Ð¿Ð°Ð¿ÐºÐ°ÒÐ° ÐŸÐœÑÒ£ Ð°Ð»ÑÒ£ÑÐ· {2}. Ð¡ÐŸÐŽÐ°Ðœ ÑÐŸÒ£ ÐŒÐ°Ò£ÑÐ·ÐŽÑ PDFPlugin pdfbox_conversion Ó©ÑÑÑÑÐ»Ð³ÐµÐœ ÐºÒ¯Ð¹Ð³Ðµ ÐºÐµÐ»ÑÑÑÑ.
+MissingPDFBox.Message:PDF-ÒÒ±Ð¶Ð°ÑÑÐ°ÑÐŽÑÒ£ 1.5  Ð¶ÓÐœÐµ ÐŸÐŽÐ°Ðœ ÐŽÐ° Ð±Ð°ÑÒÐ°ÐœÒ±ÑÒÐ°Ð»Ð°ÑÑÐœ Ó©Ò£ÐŽÐµÑ Ò¯ÑÑÐœ, Ð±ÐµÑÑÐ»Ð³ÐµÐœ ÐºÓ©Ð·ÐŽÐµÑÐŽÐµÐœ PDFBox ÐºÐµÒ£ÐµÐ¹ÑÑÐ»Ð³ÐµÐœ ÑÒ¯ÑÑÐœ Ð¶Ò¯ÐºÑÐµÒ£ÑÐ· \ nhttps:/ / svn.greenstone.org / {0} gs2-extensions/pdf-box/trunk/pdf-box-java. {1} \ nInstall Ó©Ð·ÑÐœÑÒ£ Ð¿Ð°Ð¿ÐºÐ°ÒÐ° ÐŸÐœÑÒ£ Ð°Ð»ÑÒ£ÑÐ· {2}. Ð¡ÐŸÐŽÐ°Ðœ ÑÐŸÒ£ ÐŒÐ°Ò£ÑÐ·ÐŽÑ PDFPlugin pdfbox_conversion Ó©ÑÑÑÑÐ»Ð³ÐµÐœ ÐºÒ¯Ð¹Ð³Ðµ ÐºÐµÐ»ÑÑÑÑ.
 MissingPDFBox.Title:PDFBox ÐºÐµÒ£ÐµÐ¹ÑÑÐ»ÑÐŽÑÒ£ Ð±ÐŸÐ»ÐŒÐ°ÑÑ
 #******** Multiple filename encodings not supported *******
Index: /main/trunk/gli/classes/dictionary_ru.properties
===================================================================
--- /main/trunk/gli/classes/dictionary_ru.properties	(revision 34555)
+++ /main/trunk/gli/classes/dictionary_ru.properties	(revision 34556)
@@ -1053,5 +1053,5 @@
 #******* MissingPDFBox ********
 MissingPDFBox.Message:ÐÐ»Ñ ÐŸÐ±ÑÐ°Ð±ÐŸÑÐºÐž PDF-ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² Ð²ÐµÑÑÐžÐž 1.5 Ðž Ð¿ÐŸÑÐ»ÐµÐŽÑÑÑÐžÑ
-, ÑÐºÐ°ÑÐ°Ð¹ÑÐµ ÑÐ°ÑÑÐžÑÐµÐœÐžÐµ PDFBox ÐžÐ· ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ ÐžÑÑÐŸÑÐœÐžÐºÐ° \ nhttp :/ / svn.greenstone.org / {0} gs2-extensions/pdf-box/trunk/pdf-box-java. {1} \ nInstall  ÐžÐ·Ð²Ð»ÐµÐºÐžÑÐµ ÐµÐ³ÐŸ Ð² ÑÐ²ÐŸÑ Ð¿Ð°Ð¿ÐºÑ {2}. ÐÐ°ÑÐµÐŒ ÐœÑÐ¶ÐœÐŸ ÐœÐ°ÑÑÑÐŸÐžÑÑ PDFPlugin Ñ pdfbox_conversion ÐœÐ° ÐŸÑÐºÐ»ÑÑÐµÐœ.
+, ÑÐºÐ°ÑÐ°Ð¹ÑÐµ ÑÐ°ÑÑÐžÑÐµÐœÐžÐµ PDFBox ÐžÐ· ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ ÐžÑÑÐŸÑÐœÐžÐºÐ° \ nhttps :/ / svn.greenstone.org / {0} gs2-extensions/pdf-box/trunk/pdf-box-java. {1} \ nInstall  ÐžÐ·Ð²Ð»ÐµÐºÐžÑÐµ ÐµÐ³ÐŸ Ð² ÑÐ²ÐŸÑ Ð¿Ð°Ð¿ÐºÑ {2}. ÐÐ°ÑÐµÐŒ ÐœÑÐ¶ÐœÐŸ ÐœÐ°ÑÑÑÐŸÐžÑÑ PDFPlugin Ñ pdfbox_conversion ÐœÐ° ÐŸÑÐºÐ»ÑÑÐµÐœ.
 MissingPDFBox.Title:ÐÑÑÑÑÑÑÐ²ÑÑÑÐžÐµ PDFBox ÑÐ°ÑÑÐžÑÐµÐœÐžÑ
 #******** Multiple filename encodings not supported *******