Index: /main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml	(revision 34605)
+++ /main/trunk/release-kits/kits/rk3/ant-scripts/compile.xml	(revision 34606)
@@ -154,5 +154,11 @@
 		<property name="insert.ant.version" value="1.9.13"/> <!-- value="1.8.2" -->
 		<mkdir dir="compiled/packages"/>
-		<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		<!--<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>-->
+		<exec executable="wget" failonerror="true">
+		  <arg value="-P"/>
+		  <arg value="compiled/packages"/>
+		  <arg value="--no-check-certificate"/>
+		  <arg value="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		</exec>
 		<untar src="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/" compression="gzip"/>
 		<move file="compiled/packages/apache-ant-${insert.ant.version}" tofile="compiled/packages/ant"/>
Index: /main/trunk/release-kits/kits/rk3/ant-scripts/elcapitan-compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/ant-scripts/elcapitan-compile.xml	(revision 34605)
+++ /main/trunk/release-kits/kits/rk3/ant-scripts/elcapitan-compile.xml	(revision 34606)
@@ -154,5 +154,11 @@
 		<property name="insert.ant.version" value="1.8.2"/>
 		<mkdir dir="compiled/packages"/>
-		<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		<!--<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>-->
+		<exec executable="wget" failonerror="true">
+		  <arg value="-P"/>
+		  <arg value="compiled/packages"/>
+		  <arg value="--no-check-certificate"/>
+		  <arg value="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		</exec>
 		<untar src="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/" compression="gzip"/>
 		<move file="compiled/packages/apache-ant-${insert.ant.version}" tofile="compiled/packages/ant"/>
Index: /main/trunk/release-kits/kits/rk3/ant-scripts/lin64-compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/ant-scripts/lin64-compile.xml	(revision 34605)
+++ /main/trunk/release-kits/kits/rk3/ant-scripts/lin64-compile.xml	(revision 34606)
@@ -155,5 +155,11 @@
 		<property name="insert.ant.version" value="1.9.13"/> <!-- value="1.8.2" -->
 		<mkdir dir="compiled/packages"/>
-		<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		<!--<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>-->
+		<exec executable="wget" failonerror="true">
+		  <arg value="-P"/>
+		  <arg value="compiled/packages"/>
+		  <arg value="--no-check-certificate"/>
+		  <arg value="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		</exec>
 		<untar src="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/" compression="gzip"/>
 		<move file="compiled/packages/apache-ant-${insert.ant.version}" tofile="compiled/packages/ant"/>
Index: /main/trunk/release-kits/kits/rk3/ant-scripts/mojave-compile.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/ant-scripts/mojave-compile.xml	(revision 34605)
+++ /main/trunk/release-kits/kits/rk3/ant-scripts/mojave-compile.xml	(revision 34606)
@@ -154,5 +154,12 @@
 		<property name="insert.ant.version" value="1.8.2"/>
 		<mkdir dir="compiled/packages"/>
-		<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		<!--<get src="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz"/>-->
+		<exec executable="wget" failonerror="true">
+		  <arg value="-P"/>
+		  <arg value="compiled/packages"/>
+		  <arg value="--no-check-certificate"/>
+		  <arg value="http://www.greenstone.org/gs3files/apache-ant-${insert.ant.version}-bin.tar.gz"/>
+		</exec>
+
 		<untar src="compiled/packages/apache-ant-${insert.ant.version}-bin.tar.gz" dest="compiled/packages/" compression="gzip"/>
 		<move file="compiled/packages/apache-ant-${insert.ant.version}" tofile="compiled/packages/ant"/>