Index: /main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 34606)
+++ /main/trunk/release-kits/kits/cdrk2/ant-scripts/build.xml	(revision 34607)
@@ -39,8 +39,8 @@
 		
 		<!-- figure out where the compiled software is coming from -->
-		<property name="software.archive.linux" value="http://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-linux.tar.gz"/>
-		<property name="software.archive.windows" value="http://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-windows.tar.gz"/>
-		<property name="software.archive.mac" value="http://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-mac.tar.gz"/>
-		<property name="software.archive.documented-examples" value="http://www.greenstone.org/caveat-emptor/Greenstone-documented-examples-${date}.tar.gz"/>
+		<property name="software.archive.linux" value="https://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-linux.tar.gz"/>
+		<property name="software.archive.windows" value="https://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-windows.tar.gz"/>
+		<property name="software.archive.mac" value="https://www.greenstone.org/caveat-emptor/cdrom-components-${version}-candidate-${date}-mac.tar.gz"/>
+		<property name="software.archive.documented-examples" value="https://www.greenstone.org/caveat-emptor/Greenstone-documented-examples-${date}.tar.gz"/>
 		
 		<!-- show the properties we're using -->
@@ -237,10 +237,10 @@
 		<!-- top off manuals with a few more from the web -->
 		<antcall target="get-doc"><param name="docsrc" value="http://wiki.greenstone.org/wiki/gsdoc/others/CDS-ISIS_to_DL.pdf"/><param name="docdest" value="cdrom/Documentation/English/CDS-ISIS_to_DL.pdf"/></antcall>
-		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/docs/inside_greenstone.pdf"/><param name="docdest" value="cdrom/Documentation/English/inside_greenstone.pdf"/></antcall>
-		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Users_Guide_Arabic.doc"/><param name="docdest" value="cdrom/Documentation/Arabic/Users_Guide_Arabic.doc"/></antcall>
-		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Install_ar.pdf"/><param name="docdest" value="cdrom/Documentation/Arabic/Install_ar.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="https://www.greenstone.org/docs/inside_greenstone.pdf"/><param name="docdest" value="cdrom/Documentation/English/inside_greenstone.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="https://www.greenstone.org/manuals/gsdl2/ar/pdf/Users_Guide_Arabic.doc"/><param name="docdest" value="cdrom/Documentation/Arabic/Users_Guide_Arabic.doc"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="https://www.greenstone.org/manuals/gsdl2/ar/pdf/Install_ar.pdf"/><param name="docdest" value="cdrom/Documentation/Arabic/Install_ar.pdf"/></antcall>
 
 		<mkdir dir="cdrom/Documentation/Brazilian Portuguese"/>
-		<antcall target="get-doc"><param name="docsrc" value="http://www.greenstone.org/manuals/gsdl2/pt-br/pdf/Install_pt-br.pdf"/><param name="docdest" value="cdrom/Documentation/Brazilian Portuguese/Install_pt-br.pdf"/></antcall>
+		<antcall target="get-doc"><param name="docsrc" value="https://www.greenstone.org/manuals/gsdl2/pt-br/pdf/Install_pt-br.pdf"/><param name="docdest" value="cdrom/Documentation/Brazilian Portuguese/Install_pt-br.pdf"/></antcall>
 
 		<mkdir dir="cdrom/Documentation/Vietnamese"/>
Index: /main/trunk/release-kits/kits/rk3/installer/build.xml
===================================================================
--- /main/trunk/release-kits/kits/rk3/installer/build.xml	(revision 34606)
+++ /main/trunk/release-kits/kits/rk3/installer/build.xml	(revision 34607)
@@ -384,5 +384,5 @@
 		<shortcut
 			file="${startmenu.path}\Documentation\Greenstone Website.url"
-			url="http://www.greenstone.org" />
+			url="https://www.greenstone.org" />
 		
 		<!-- NO FLAX END -->
Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack.properties	(revision 34606)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack.properties	(revision 34607)
@@ -66,5 +66,5 @@
 
 Installing_Documented_Examples.displayText=Documented Example Collections
-Installing_Documented_Examples.explanatoryText=A set of example collections, whose 'about' pages describe how they were created.\n\nEven if you don't install the Documented Examples now, you can get them from\nhttp\://www.greenstone.org/ or from the greenstone CD-ROM.
+Installing_Documented_Examples.explanatoryText=A set of example collections, whose 'about' pages describe how they were created.\n\nEven if you don't install the Documented Examples now, you can get them from\nhttps\://www.greenstone.org/ or from the greenstone CD-ROM.
 
 ### Admin password page
Index: /main/trunk/release-kits/shared/greenstone2/docs/READMEen.txt
===================================================================
--- /main/trunk/release-kits/shared/greenstone2/docs/READMEen.txt	(revision 34606)
+++ /main/trunk/release-kits/shared/greenstone2/docs/READMEen.txt	(revision 34607)
@@ -61,5 +61,5 @@
 Documentation and Support
 	Greenstone Website:
-		http://www.greenstone.org
+		https://www.greenstone.org
 		Greenstone's main website.
 	Greenstone Wiki: 
Index: /main/trunk/release-kits/shared/greenstone2/docs/SUPPORT.txt
===================================================================
--- /main/trunk/release-kits/shared/greenstone2/docs/SUPPORT.txt	(revision 34606)
+++ /main/trunk/release-kits/shared/greenstone2/docs/SUPPORT.txt	(revision 34607)
@@ -2,9 +2,9 @@
 
 A complete list of Greenstone support options is available at:
-http://www.greenstone.org/support
+https://www.greenstone.org/support
 
 In particular, 
 	Greenstone Website:
-		http://www.greenstone.org
+		https://www.greenstone.org
 		Greenstone's main website.
 	Greenstone Wiki: 
@@ -23,6 +23,6 @@
 
 1.	Register as a developer to gain access to Greenstone's bug tracking
-	system at http://www.greenstone.org/developers-register
-2.	Go to http://trac.greenstone.org/ in your web browser and click "login"
+	system at https://www.greenstone.org/developers-register
+2.	Go to https://trac.greenstone.org/ in your web browser and click "login"
 	near the top of the screen. Login with your username and password.
 3.	Click on "New Ticket" near the top of the screen and fill in the Create